MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
MPQC::GaussianBasis_Shell_impl Class Reference

Symbol "MPQC.GaussianBasis_Shell" (version 0.2) More...

`#include <MPQC_GaussianBasis_Shell_Impl.hh>`

## Public Member Functions
| GaussianBasis_Shell_impl (struct MPQC_GaussianBasis_Shell__object *s)
void | _ctor ()
void | _dtor ()
void | initialize (void *scshell) throw ()
| user defined non-static method.
int64_t | get_n_contraction () throw ()
| Get the number of contractions in the shell. More...
int64_t | get_n_primitive () throw ()
| Get the number of primitives in the shell. More...
double | get_contraction_coef (int64_t connum, int64_t expnum) throw ()
| Get the coefficient for an unnormalized primitive in a contraction. More...
double | get_exponent (int64_t expnum) throw ()
| Get the exponent for a primitive. More...
int64_t | get_angular_momentum (int64_t connum) throw ()
| Get the angular momentum for a single contraction. More...
int64_t | get_max_angular_momentum () throw ()
| Get the max angular momentum of any contraction in the shell. More...
::Chemistry::QC::GaussianBasis::AngularType | get_contraction_angular_type (int64_t connum) throw ()
| Get the angular type for a single contraction. More...
::Chemistry::QC::GaussianBasis::AngularType | get_angular_type () throw ()
| Get the angular type for the shell. More...
void | print_shell () throw ()
| Print the shell data.

## Static Public Member Functions
static void | _load ()

## Detailed Description

Symbol "MPQC.GaussianBasis_Shell" (version 0.2)

GaussianBasis_Shell_impl implements a class interface for gaussian shell data.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-chem-generic package.

## Member Function Documentation

int64_t MPQC::GaussianBasis_Shell_impl::get_angular_momentum | ( | int64_t | connum | ) | throw ()

Get the angular momentum for a single contraction.

Parameters

  connum | Contraction number.

Returns
  Angular momentum value.

::Chemistry::QC::GaussianBasis::AngularType MPQC::GaussianBasis_Shell_impl::get_angular_type | ( |  | ) | throw ()

Get the angular type for the shell.

Returns
  enum AngularType {CARTESIAN,SPHERICAL,MIXED}

::Chemistry::QC::GaussianBasis::AngularType MPQC::GaussianBasis_Shell_impl::get_contraction_angular_type | ( | int64_t | connum | ) | throw ()

Get the angular type for a single contraction.

Parameters

  connum | Contraction number.

Returns
  enum AngularType {CARTESIAN,SPHERICAL,MIXED}

double MPQC::GaussianBasis_Shell_impl::get_contraction_coef | ( | int64_t | connum,
|  | int64_t | expnum
| ) |  | throw ()

Get the coefficient for an unnormalized primitive in a contraction.

Parameters

  connum | Contraction number.
  expnum | Primitive number.

Returns
  The contraction coefficient.

double MPQC::GaussianBasis_Shell_impl::get_exponent | ( | int64_t | expnum | ) | throw ()

Get the exponent for a primitive.

Parameters

  expnum | The primitive number.

Returns
  The exponent.

int64_t MPQC::GaussianBasis_Shell_impl::get_max_angular_momentum | ( |  | ) | throw ()

Get the max angular momentum of any contraction in the shell.

Returns
  Maximum angular momentum value.

int64_t MPQC::GaussianBasis_Shell_impl::get_n_contraction | ( |  | ) | throw ()

Get the number of contractions in the shell.

Returns
  Number of contractions.

int64_t MPQC::GaussianBasis_Shell_impl::get_n_primitive | ( |  | ) | throw ()

Get the number of primitives in the shell.

Returns
  Number of primitives.

The documentation for this class was generated from the following file:

- MPQC_GaussianBasis_Shell_Impl.hh